<?php

namespace WeDevs\AppBridge\Integrations\WPProjectManager;

use WeDevs\AppBridge\Core\AbstractLicenseManager;

class LicenseManager extends AbstractLicenseManager {

	protected function appsero_hash_id(): string {
		return 'c29e1568-6406-4282-82ce-547ee5c042ef'; // TODO: (Random Hash ID) This hash ID will be replaced with the actual hash ID when we create the appsero project for WP Project Manager.
	}

	protected function plugin_name(): string {
		return 'WP Project Manager';
	}

	protected function plugin_file(): string {
		return APP_BRIDGE_FILE;
	}

	protected function option_key(): string {
		return 'wp_project_manager_app_license';
	}

	protected function license_page_url(): string {
		return admin_url( 'admin.php?page=app-bridge-wp-project-manager#license' );
	}
	protected function get_mobile_app_name(): string {
		return 'wp-project-manager-app';
	}
}
